Last modified: 2012-10-04 09:53:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 33176 - WebFont not supported for android < android 4
WebFont not supported for android < android 4
Status: RESOLVED WONTFIX
Product: MediaWiki extensions
Classification: Unclassified
WebFonts (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: mobile, mobile-lang, upstream
Depends on:
Blocks: 33243 40760
  Show dependency treegraph
 
Reported: 2011-12-15 20:31 UTC by Nasir Khan Saikat
Modified: 2012-10-04 09:53 UTC (History)
5 users (show)

See Also:
Web browser: Other
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Screenshot on Nexus 1, Android 2.3.6, Android stock browser - Lohit Bengali font (160.72 KB, image/png)
2011-12-15 20:59 UTC, Brion Vibber
Details
Closeup w/ Lohit font on Android 2.3.6 stock browser (108.31 KB, image/png)
2011-12-15 21:00 UTC, Brion Vibber
Details
Closeup w/ Lohit font on Chrome 16, Mac OS X 10.7.2 (110.05 KB, image/png)
2011-12-15 21:01 UTC, Brion Vibber
Details
Screenshot on Nexus 1, Android 2.3.6, Android stock browser - the other font (103.61 KB, image/png)
2011-12-15 21:01 UTC, Brion Vibber
Details
Screenshot with Lohit font on Android 4 ICS emulator (273.16 KB, image/png)
2011-12-16 18:22 UTC, Brion Vibber
Details

Description Nasir Khan Saikat 2011-12-15 20:31:15 UTC
WebFonts did not work for me with the Android (2.3.6) default browser and in the Opera Mobile browser for android.

thanks
Nasir Khan Saikat
Wikimedia Bangladesh
Comment 1 Brion Vibber 2011-12-15 20:34:39 UTC
Can you confirm whether this was on the mobile view or the non-mobile view, and which site with which fonts?
Comment 2 Nasir Khan Saikat 2011-12-15 20:49:22 UTC
I visited the sites of the "Bengali wikipedia" in mobile view enabled and disabled mode but the extension was not working in any of the cases. As i know for the Bengali Wikipedia "Lohit Bengali" font is used in the Webfonts pack.
Comment 3 Brion Vibber 2011-12-15 20:59:37 UTC
Created attachment 9715 [details]
Screenshot on Nexus 1, Android 2.3.6, Android stock browser - Lohit Bengali font

After waiting for WebFonts to load on the desktop view of http://bn.wikipedia.org/ I do see the fonts rendering, however I'm not sure they're correct. Closeups next...
Comment 4 Brion Vibber 2011-12-15 21:00:28 UTC
Created attachment 9716 [details]
Closeup w/ Lohit font on Android 2.3.6 stock browser

Closeup of featured article section, screenshot from Android 2.3.6. I suspect this is rendered wrong -- the fonts show, but positioning of ligatures is different from what I see on the desktop.
Comment 5 Brion Vibber 2011-12-15 21:01:06 UTC
Created attachment 9717 [details]
Closeup w/ Lohit font on Chrome 16, Mac OS X 10.7.2

Hopefully correctly rendered on current Chrome release on Mac OS X.
Comment 6 Brion Vibber 2011-12-15 21:01:46 UTC
Created attachment 9718 [details]
Screenshot on Nexus 1, Android 2.3.6, Android stock browser - the other font

This one shows as all boxes, just as the page does before webfonts loads with the Lohit font.
Comment 7 Nasir Khan Saikat 2011-12-15 21:29:39 UTC
the Chrome Screenshot is ok. but in android the Lohit font show the characters in wrong order,we had to face similar problem for the wikipeida PDF rendering extension.  though the font works properly form the desktop browsers. the other option on the list was to use the system font. you might not have any Bengali font in our phone that's why those boxes appears. 

At the top banner it shows the boxes in all the modes. I think it might be the problem of the font itself. I had to face similar type of problem when i use the Lohit font in my linux pc. the font might not be able to show the Bold texts.
Comment 8 Santhosh Thottingal 2011-12-16 15:21:52 UTC
Android cannot render Indic complex scripts in any of the 3.x versions. They OS rendering engine is not capable of that(http://code.google.com/p/android/issues/detail?id=4153). Webfonts can solve the missing font issue, but if rendering engine is not capable of rendering, we wont get correct rendering.
But I heard that Android 4.0 with webfonts works well for Indic.
Comment 9 Brion Vibber 2011-12-16 18:22:01 UTC
Created attachment 9725 [details]
Screenshot with Lohit font on Android 4 ICS emulator

Looks like this is indeed fixed in Android 4 -- rendering here seems to match the Chrome desktop rendering. Yay!

Unfortunately this means on older phones we've still got bad rendering and can't do much about it. :(
Comment 10 Siebrand Mazeland 2012-02-01 11:46:19 UTC
Unfortunately there is nothing we can do here. It's a given. See comment 9.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links